commit:     4e8ef05532ffb65388ab6fbdb3ec0096ea0acebf
Author:     David Roman <davidroman96 <AT> gmail <DOT> com>
AuthorDate: Tue May  3 19:51:13 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri May  6 07:47:20 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4e8ef055

dev-libs/poco: verbump to 1.11.2

Package-Manager: Portage-3.0.30, Repoman-3.0.3
Signed-off-by: David Roman <davidroman96 <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/25307
Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-libs/poco/Manifest           |   1 +
 dev-libs/poco/metadata.xml       |   1 +
 dev-libs/poco/poco-1.11.2.ebuild | 136 +++++++++++++++++++++++++++++++++++++++
 3 files changed, 138 insertions(+)

diff --git a/dev-libs/poco/Manifest b/dev-libs/poco/Manifest
index 67505d010258..637aaa23cbaa 100644
--- a/dev-libs/poco/Manifest
+++ b/dev-libs/poco/Manifest
@@ -1 +1,2 @@
 DIST poco-1.10.1.tar.gz 10224204 BLAKE2B 
644bb2134c571e10b63937ca15b3f5d7255767bcc99dd6b6107a13d64ed7ac83d499d74f04084c666bbf5ef6f033d57d2fb1de0b8b8487844e3aaf8cefe6fba8
 SHA512 
40aa8049c68651f461280937c1c733e13d1cedbec12bc44a7f3a6c131d31229c5445067052441427071f6102fd1965d238b2222c0689279dd156b4e261ac9e73
+DIST poco-1.11.2.tar.gz 10935312 BLAKE2B 
66b4cdb6cb4b5dd4f5f0eee744e1d147d66e98561ec4286ed09693b638d565fbf084c3e40eff3f6a9a88cff167b1d774da08e8c8424986aefe13d029a540afe2
 SHA512 
3f9e46dbfb0a85f19389b269725cb6272172d993d8239f13da8110c0c6ce9ed2b6595708d5dba91a027292c74358c87da988e22587a74011e84707816a6a277c

diff --git a/dev-libs/poco/metadata.xml b/dev-libs/poco/metadata.xml
index e87aecd0e1e0..fca24ff1efb4 100644
--- a/dev-libs/poco/metadata.xml
+++ b/dev-libs/poco/metadata.xml
@@ -31,6 +31,7 @@ done quickly and working on the features that make their 
application unique.
        </upstream>
        <use>
                <flag name="7z">Add Support for the 7z archive format</flag>
+               <flag name="activerecord">Add ActiveRecord support</flag>
                <flag name="cppparser">Build and install a minimal C++ 
parser</flag>
                <flag name="crypto">Encryption and digital signing 
classes</flag>
                <flag name="data">Database abstraction layer to easily 
send/retrieve data to/from various databases</flag>

diff --git a/dev-libs/poco/poco-1.11.2.ebuild b/dev-libs/poco/poco-1.11.2.ebuild
new file mode 100644
index 000000000000..90b4ba570fd3
--- /dev/null
+++ b/dev-libs/poco/poco-1.11.2.ebuild
@@ -0,0 +1,136 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake
+
+DESCRIPTION="C++ libraries for building network-based applications"
+HOMEPAGE="https://pocoproject.org/";
+SRC_URI="https://github.com/pocoproject/${PN}/archive/${P}-release.tar.gz -> 
${P}.tar.gz"
+S="${WORKDIR}/${PN}-${P}-release"
+
+LICENSE="Boost-1.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+IUSE="7z activerecord cppparser +crypto +data examples +file2pagecompiler 
iodbc +json mariadb +mongodb mysql +net odbc +pagecompiler pdf pocodoc sqlite 
+ssl test +util +xml +zip"
+RESTRICT="!test? ( test )"
+REQUIRED_USE="
+       7z? ( xml )
+       file2pagecompiler? ( pagecompiler )
+       iodbc? ( odbc )
+       mongodb? ( data )
+       mysql? ( data )
+       odbc? ( data )
+       pagecompiler? ( json net util xml )
+       pocodoc? ( cppparser util xml )
+       sqlite? ( data )
+       ssl? ( util )
+       test? ( data? ( sqlite ) json util xml )
+"
+
+BDEPEND="virtual/pkgconfig"
+RDEPEND="
+       >=dev-libs/libpcre-8.42
+       mysql? ( !mariadb? ( dev-db/mysql-connector-c:0= )
+                mariadb? ( dev-db/mariadb-connector-c:0= ) )
+       odbc? ( iodbc? ( dev-db/libiodbc )
+               !iodbc? ( dev-db/unixODBC ) )
+       sqlite? ( dev-db/sqlite:3 )
+       ssl? (
+               dev-libs/openssl:0=
+       )
+       xml? ( dev-libs/expat )
+       zip? ( sys-libs/zlib )
+"
+DEPEND="${RDEPEND}"
+
+PATCHES=( "${FILESDIR}/${PN}-1.10.1-iodbc-incdir.patch" )
+
+src_prepare() {
+       cmake_src_prepare
+
+       if use test ; then
+               # ignore missing tests on experimental library
+               # and tests requiring running DB-servers, internet connections, 
etc.
+               sed -i -e '/testsuite/d' \
+                       
{Data/{MySQL,ODBC},MongoDB,Net,NetSSL_OpenSSL,PDF,Redis}/CMakeLists.txt || die
+               # Poco expands ~ using passwd, which does not match $HOME in 
the build environment
+               sed -i -e '/CppUnit_addTest.*testExpand/d' \
+                       Foundation/testsuite/src/PathTest.cpp || die
+               # ignore failing Crypto test since upstream does not seem to 
care,
+               # see https://github.com/pocoproject/poco/issues/1209
+               sed -i -e '/RSATest, testRSACipherLarge/d' \
+                       Crypto/testsuite/src/RSATest.cpp || die
+       fi
+
+       if use mariadb ; then
+               # Fix MariaDB detection
+               sed -i -e 's~/usr/include/mysql~~' \
+                       -e 's/STATUS "Couldn/FATAL_ERROR "Couldn/' \
+               cmake/FindMySQL.cmake || die
+       else
+               # Fix MySQL detection
+               sed -i -e 's/mysqlclient_r/mysqlclient/' \
+                       -e 's/STATUS "Couldn/FATAL_ERROR "Couldn/' \
+               cmake/FindMySQL.cmake || die
+       fi
+
+       # Add missing directory that breaks the build
+       mkdir -p Encodings/testsuite/data || die
+
+       if ! use iodbc ; then
+               sed -i -e 's|iodbc||' cmake/FindODBC.cmake || die
+       fi
+}
+
+src_configure() {
+       # apache support is dead and buggy, 
https://github.com/pocoproject/poco/issues/1764
+       local mycmakeargs=(
+               -DPOCO_UNBUNDLED=ON
+               -DENABLE_APACHECONNECTOR=OFF
+               -DENABLE_ACTIVERECORD="$(usex activerecord)"
+               -DENABLE_CPPPARSER="$(usex cppparser)"
+               -DENABLE_CRYPTO="$(usex ssl)"
+               -DENABLE_DATA="$(usex data)"
+               -DENABLE_DATA_MYSQL="$(usex mysql)"
+               -DENABLE_DATA_ODBC="$(usex odbc)"
+               -DENABLE_DATA_SQLITE="$(usex sqlite)"
+               -DENABLE_JSON="$(usex util)"
+               -DENABLE_MONGODB="$(usex mongodb)"
+               -DENABLE_NET="$(usex net)"
+               -DENABLE_NETSSL="$(usex ssl)"
+               -DENABLE_NETSSL_WIN=OFF
+               -DENABLE_PAGECOMPILER="$(usex pagecompiler)"
+               -DENABLE_PAGECOMPILER_FILE2PAGE="$(usex file2pagecompiler)"
+               -DENABLE_PDF="$(usex pdf)"
+               -DENABLE_POCODOC="$(usex pocodoc)"
+               -DENABLE_SEVENZIP="$(usex 7z)"
+               -DENABLE_TESTS="$(usex test)"
+               -DENABLE_UTIL="$(usex util)"
+               -DENABLE_XML="$(usex xml)"
+               -DENABLE_ZIP="$(usex zip)"
+       )
+
+       cmake_src_configure
+}
+
+src_test() {
+       POCO_BASE="${S}" cmake_src_test
+}
+
+src_install() {
+       cmake_src_install
+
+       if use examples ; then
+               for sd in */samples ; do
+                       docinto examples/${sd%/samples}
+                       dodoc -r ${sd}
+               done
+
+               find "${D}/usr/share/doc/${PF}/examples" \
+                       -iname "*.sln" -or -iname "*.vcproj" -or \
+                       -iname "*.vmsbuild" -or -iname "*.properties" \
+                       | xargs rm -v || die
+       fi
+}

Reply via email to